# Development Build

> [!NOTE]
> This setup is only for testing purposes.
> It is unsafe to use as a production build.

## Prerequisits

1. Check if `docker` & `docker compose` are installed correctly
2. Open 3 Terminal Windows (Or 2 depends on)
3. Change the ip in `velocity.toml` (Line 75 & 76) to your local ip (This gets reworked in the Future)

## To Do 
- [ ] Build system for the whole dev stack
- [ ] Networking between Containers

## Handling the stack 

1. Start Dev Proxy

```bash
docker compose -f dev-proxy/proxy-compose.yml up 
```

2. Start Dev Fallback

```bash
docker compose -f fallback-compose.yml up
```

3. Start Dev Main

```bash
docker compose -f main-compose.yml up
```

4. Start Minecraft with Version 1.21.1 (Fabric highly preferred)
5. Add Server -> Server Address -> `localhost`
6. Connect
